iObjects Java 9D部署

0 投票
看过SuperMap iObjects Java 9D 安装指南中的部署,但是下载的zip解压后的Bin目录下,压根没有install的bat文件,也没有自定义部署所说的Tools 和 Support 目录。求一个iObjects Java和Eclipse的结合示例或指导,谢谢!

另尝试过导入bin下的jar包到Eclipse中,写了个main方法,执行new Workspace().aboutBox();,会出现如下错误:

java.lang.UnsatisfiedLinkError: no WrapjGeo in java.library.path

java.lang.UnsatisfiedLinkError: com.supermap.data.EnvironmentNative.jni_GetCurrentCulture()Ljava/lang/String;
1月 28 分类:  160次浏览 | 用户: shule0000 (2 分)

1个回答

1 投票
 
已采纳
你好,如果你下载的是解压版绿色包就是只有一个bin文件夹,是属于开发包。帮助文档上写的bat文件,support和tools文件夹是完整包中,建议下载完整包。

出现这个错误的原因是你没有配置环境变量,需要在path变量中配置bin的路径
1月 28 用户: 董懿鑫 名扬四海 (2,387 分)
采纳于 1月 29 用户:shule0000

您看,我现在用的是完整版,install以后,检查环境变量也正确。但是运行还是会出现这个错误。求指导。

你试试将变量中bin_x64换成bin路径,修改变量后需要重启开发平台
路径是对的,机器是64,所以还是要用bin_x64,是由于我开发平台没重启导致的,重启下就行了。万分感谢指导!
...